--- a/configure.ac
+++ b/configure.ac
@@ -25,6 +25,9 @@
 AC_DISABLE_SHARED
 AC_PROG_LIBTOOL
 
+AC_PATH_PROG([YASM], yasm,)
+AC_SUBST(YASM)
+
 # If this is a gnu compiler, pass -Wall
 if test "$ac_cv_c_compiler_gnu" = "yes"; then
 	CFLAGS="$CFLAGS -Wall"
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -10,7 +10,7 @@
 ovrrun_LDADD   = ../libudis86/libudis86.la
 ovrrun_CFLAGS  = -I$(top_srcdir)/libudis86 -I$(top_srcdir)
 
-YASM = yasm
+YASM = @YASM@
 
 dist_check_DATA = test16.asm test32.asm test64.asm testjmp.asm testobscure.asm \
 		 testjmp.ref testobscure.ref randtest.raw randtest16.ref      \
@@ -18,7 +18,10 @@
 
 check-local: tests
 
-tests: test16 test32 test64 testjmp bufovrrun randraw
+yasm_tests: test16 test32 test64 testjmp
+no_yasm_tests: bufovrrun randraw
+
+tests: $(if $(YASM), yasm_tests) no_yasm_tests
 
 test16: gen 
 	$(YASM) -f bin -o test16.bin $(top_srcdir)/tests/test16.asm
